Bug 6318 - complete hangup with big surface textures
complete hangup with big surface textures
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/r300
git
x86 (IA32) Linux (All)
: high critical
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-20 04:56 UTC by David Kiliani
Modified: 2009-08-24 12:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kiliani 2006-03-20 04:56:18 UTC
When I try to load big surface maps in celestia (tested with Blue Marble Next
Generation, level 0-1 http://www.celestiamotherlode.net/catalog/earth.php) the
whole PC, a Thinkpad T41p with M10, hangs completely, I have to switch it off to
reboot. Obviously no kernel panic, no blinking LEDs.

I'm using latest CVS versions of mesa and drm (drm 1.24.0).

Reproducible: always (start celestia, zoom to earth, select BMNG surface map)
Comment 1 Jerome Glisse 2006-03-20 05:22:47 UTC
Could you try to first run an xserver with fglrx quit, run your normal
xserver and report if it's still lock.

Otherwise setting AGPMode to 1 and disabling pageflip should help
(see manual page of radeon). We still doesn't setup properly somethings
in r300 card and this cause lockup (especialy with things that need
hightbandwidth).
Comment 2 David Kiliani 2006-03-20 17:09:32 UTC
Setting AGPMode to 1 and disabling pageflip does not help, I'll try the fglrx
initialization as soon as I have installed fglrx.
Comment 3 Aapo Tahkola 2006-03-31 13:18:30 UTC
r300 driver now refuses to work with r300 & r300rs based chips.
R300_FORCE_R300 env var can be used to force support.
Comment 4 Roland Scheidegger 2006-03-31 23:49:25 UTC
I'm not sure what chips you really wanted to block (probably rs400 along with
r300?) but rs300 is igp 9100 and afaik works just fine. I'm not sure you want to
block rs400 either as their problems are probably not related to dri, only
ddx/drm (and the current drm cvs won't initialize with any rs400 id).
Comment 5 Aapo Tahkola 2006-04-01 00:15:28 UTC
(In reply to comment #4)
> I'm not sure what chips you really wanted to block (probably rs400 along with
> r300?) but rs300 is igp 9100 and afaik works just fine. I'm not sure you want to
> block rs400 either as their problems are probably not related to dri, only
> ddx/drm (and the current drm cvs won't initialize with any rs400 id).

Includes Radeon 9500/9700/9800 cards now.
Im not 100% sure about r9800 though. Feel free to poke if you have more
up-to-date info.
Comment 6 David Kiliani 2006-04-16 23:22:45 UTC
Recompiled the latest MESA and DRI packages last week, it works now. Bug is
obviously fixed.
Comment 7 Aapo Tahkola 2006-04-20 05:46:26 UTC
(In reply to comment #6)
> Recompiled the latest MESA and DRI packages last week, it works now. Bug is
> obviously fixed.

No fix has been planted.
Comment 8 Jerome Glisse 2006-07-11 08:41:32 UTC
I close the bug as the initialization for r300 is now in git.
So please try ATI git ddx driver and reopen if you still get
lockup.
Comment 9 Hanno Boeck 2006-08-24 11:39:52 UTC
While this is fixed in the ati-driver, there's still the code in mesa that 
let's not run dri on those cards (unless R300_FORCE_R300 is set, what the 
normal user not looking at the code doesn't know).
Comment 10 Simon 2006-08-26 20:59:53 UTC
Why is this bug still open if the reporter has said it's fixed?
Comment 11 Aapo Tahkola 2006-08-27 06:26:03 UTC
R300_FORCE_R300 has been removed now. Use xf86-video-ati-6.6.2 or newer and it
will work out of the box.
Comment 12 ajax at nwnk dot net 2009-08-24 12:23:45 UTC
Mass version move, cvs -> git